gnutls_credentials_get(3)

NAME
gnutls_credentials_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_credentials_get(gnutls_session_t session, gnutls_credentials_type_t type, void ** cred);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_credentials_type_t type
    is the type of the credentials to return

void ** cred
    will contain the credentials.

DESCRIPTION
Returns the previously provided credentials structures. For GNUTLS_CRD_ANON, cred will be gnutls_anon_client_credentials_t in case of a client. In case of a server it should be gnutls_anon_server_credentials_t. For GNUTLS_CRD_SRP, cred will be gnutls_srp_client_credentials_t in case of a client, and gnutls_srp_server_credentials_t, in case of a server. For GNUTLS_CRD_CERTIFICATE, cred will be gnutls_certificate_credentials_t.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.3.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/